import { MidwayError, registerErrorCode } from '@midwayjs/core';

export enum ErrorCode {
  ES_ERROR = '-3000',
  ES_INDEX_NOT_FOUND = '-3001',
  ES_DATA_NOT_FOUND = '-3404'
}
export const EsErrorEnum = registerErrorCode('EsError', ErrorCode);

export class ElasticSearchError extends MidwayError {
  constructor(str: string, errcode: string = ErrorCode.ES_ERROR) {
    super(str, errcode);
  }
}
